import { ValidatorInfo } from '../../../../typing';
import { FormStringFieldWidget } from '../../string';
export declare class FormHtmlRichTextFieldWidget extends FormStringFieldWidget {
    initialize(props: any): this;
    /**
     * 富文本工具栏排除的key
     *
     * @example
     * richTextToolbarExcludeKeys="fullScreen,uploadImage"
     */
    protected get richTextToolbarExcludeKeys(): string[] | null;
    protected get encode(): boolean | undefined;
    protected get height(): string | undefined;
    validator(): Promise<ValidatorInfo>;
    change(val: any): void;
}
/**
 * @deprecated please using FormHtmlRichTextFieldWidget
 */
export declare const FormHTMLRichTextFieldWidget: typeof FormHtmlRichTextFieldWidget;
